eID Software & eID viewer installeren in LM 20 Ulyana en in LMDE 4

Vragen over software en applicaties
Gebruikersavatar
tytsjerksteradiel
Senior
Senior
Berichten: 184
Lid geworden op: Ma 16 Dec 2019, 01:16

eID Software & eID viewer installeren in LM 20 Ulyana en in LMDE 4

Berichtdoor tytsjerksteradiel » Ma 06 Jul 2020, 02:38

als U de eID software inklusief eID viewer in afwachting dat de deb pakketten beschikbaar zijn op https://eid.belgium.be/nl alsnog in Linux Mint 20 Ulyana en LMDE4 wil installeren gaat U als volgt tewerk :

na de gebruikelijke installatie doorlopen te hebben , ga naar :
TERMINAL
copy / paste : sudo nano /etc/apt/sources.list.d/eid.list

WIJZIG ( VERVANG XENIAL DOOR BUSTER ) ALS VOLGT :

deb http://files.eid.belgium.be/debian xenial main
deb http://files2.eid.belgium.be/debian xenial main
dient U te wijzigen in :
deb http://files.eid.belgium.be/debian buster main
deb http://files2.eid.belgium.be/debian buster main

in LINUX MINT 20 ULYANA : Code: Selecteer alles
GNU nano 4.8 /etc/apt/sources.list.d/eid.list
deb http://files.eid.belgium.be/debian buster main
deb http://files2.eid.belgium.be/debian buster main
^G Hulp ^O Opslaan ^W Zoeken ^K Knippen ^J Uitvullen ^C Positie
^X Afsluiten ^R Inlezen ^\ Vervangen ^U Plakken ^T Spelling ^_ Naar regel

in LMDE4 DEBBIE * van hetzelfde laken een broek:
GNU nano 3.2 /etc/apt/sources.list.d/eid.list
deb http://files.eid.belgium.be/debian buster main
deb http://files2.eid.belgium.be/debian buster main
^G Hulp ^O Opslaan ^W Zoeken ^K Knippen ^J Uitvullen ^C Positie
^X Afsluiten ^R Inlezen ^\ Vervangen ^U Plakken ^T Spelling ^_ Naar regel

opslaan en afsluiten

U kan nu in Synaptic pakketbeheer “ eid-mw en eid-viewer “ merken voor installatie

uitgetest met zowel LINUX MINT 20 ULYANA als met LMDE4 op onder andere de site van " my pension " : geen probleem

Deze topic is bedoeld voor wie zich wil aanmelden met zijn Belgische eID ( elektronisch identiteitsbewijs ) cq gebruik maken van (onder andere) de online overheidsdiensten van de Belgische staat :
https://my.belgium.be/nl

of topic : dit kan met welgeteld 7 digitale sleutels :
https://idp.iamfas.belgium.be/fasui/log ... :HTTP-POST

of topic : hoe deze digitale sleutels te beheren vindt U hier :
https://www.csam.be/nl/egov-profiel.html

zich aanmelden met de eID kaartlezer is één van deze digitale sleutels :

– hiervoor dient U de eID software te installeren : https://eid.belgium.be/nl/linux-eid-sof ... nstallatie en ervoor te zorgen dat het programma eID viewer geactiveerd wordt

dit topic gaat dus over eID software en eID viewer … niets anders !

(*) Ik herhaal hier dat LMDE4 een uitzondering is omwille van het feit dat de IT service desk van de Belgische overheid alsnog niet zinnens is van downloads ter ondersteuning te stellen voor dito distro
hoe dit onder LINUX MINT 20 ULYANA te realiseren is gebaseerd op de instructies van de IT service desk van de Belgische overheid m.b.t LMDE4
Gebruikersavatar
Maik
Held
Held
Berichten: 717
Lid geworden op: Za 12 Dec 2009, 09:51

Re: eID Software & eID viewer installeren in LM 20 Ulyana en in LMDE 4

Berichtdoor Maik » Ma 06 Jul 2020, 06:49

WIJZIG ( VERVANG XENIAL DOOR BUSTER ) ALS VOLGT :

deb http://files.eid.belgium.be/debian xenial main
deb http://files2.eid.belgium.be/debian xenial main
dient U te wijzigen in :
deb http://files.eid.belgium.be/debian buster main
deb http://files2.eid.belgium.be/debian buster main


Fout. Buster is Debian 10. Xenial was/is ubuntu 16.04 oftewel Mint 18. Dus xenial moet voor Mint 20 (Ubuntu 20.04) vervangen worden door focal en niet buster.

Buster klopt wel voor LMDE 4 omdat deze gebaseerd is op Debian 10.
Nederlandstalige Info over Linux Mint: Linux Mint NL Wiki
Wil je een afbeelding plaatsen? Kijk dan hier: Afbeeldingen plaatsen
stegiman
Held
Held
Berichten: 322
Lid geworden op: Zo 17 Nov 2019, 15:12

Re: eID Software & eID viewer installeren in LM 20 Ulyana en in LMDE 4

Berichtdoor stegiman » Ma 06 Jul 2020, 12:23

Als je nog niet begonnen bent is wat boven vermeld staat bij LDME4 correct.

Ben je wel begonnen op een andere manier dan dit zeker doen in terminal:

Code: Selecteer alles

sudo apt-get update && sudo apt-get upgrade
Daarna ook dit doen:

Code: Selecteer alles

sudo apt autoremove
Zo vermijd je dat er conflicten kunnen gebeuren met eid-viewer

Ik heb wel eid-archive_2020.2_all.deb gebruikt

Code: Selecteer alles

sudo apt-get update && sudo apt-get upgrade
Daarna kan je zonder probleem in Synaptic pakketbeheer en laten zoeken naar EID en dan eid-viewer klikken om te installeren

Nu werkt het bij mij 100% conflictvrij en correct.
Gebruikersavatar
tytsjerksteradiel
Senior
Senior
Berichten: 184
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: eID Software & eID viewer installeren in LM 20 Ulyana en in LMDE 4

Berichtdoor tytsjerksteradiel » Ma 06 Jul 2020, 13:51

WIJZIG ( VERVANG XENIAL DOOR BUSTER ) ALS VOLGT :
deb http://files.eid.belgium.be/debian xenial main
deb http://files2.eid.belgium.be/debian xenial main
dient U te wijzigen in :
deb http://files.eid.belgium.be/debian buster main
deb http://files2.eid.belgium.be/debian buster main
Fout. Buster is Debian 10. Xenial was/is ubuntu 16.04 oftewel Mint 18. Dus xenial moet voor Mint 20 (Ubuntu 20.04) vervangen worden door focal en niet buster.

Buster klopt wel voor LMDE 4 omdat deze gebaseerd is op Debian 10.
ik ga niets posten dat ik niet persoonlijk uitgetest heb :
is niet fout , heb de wijzigingen uitgevoerd met buster ( op eigen initiatief ) en eID viewer werkt naar behoren .
test het zelf eens uit zou ik U voorstellen , alvorens te kritiseren .

heb nu wel bij wijze van test buster gewijzigd naar focal ... is ook een werkbare oplossing .

by the way , heb inmiddels het aangepaste eid-archive 2020.2_all.deb pakket ontvangen voor LINUX MINT 20 ULYANA mij bezorgd door Kenneth van de IT service desk
wanneer dit beschikbaar zal zijn op de site heeft hij echter niet medegedeeld ?
hoe dit hier te plaatsen / in te voegen is mij echter een raadsel
sorry , lukt mij niet
Gebruikersavatar
Maik
Held
Held
Berichten: 717
Lid geworden op: Za 12 Dec 2009, 09:51

Re: eID Software & eID viewer installeren in LM 20 Ulyana en in LMDE 4

Berichtdoor Maik » Ma 06 Jul 2020, 17:21

Is niet bekritiseren maar enkel logica, buster is voor debian, focal voor ubuntu. Je gaat geen Debian spul/repo's aan ubuntu toevoegen ookal is deze op Debian gebaseerd en je voegt geen ubuntu spu/repo's aan debian toe, al heb je het duizend keer getest. Als je het wil doen doe het dan goed om eventuele problemen te voorkomen. Punt.

Dit is wat het moet worden en stel gebruikers voor dit te gebruiken en te doen alvolgens xenopeek van het internationale Mint forum:
Je kunt op http://files.eid.belgium.be/debian/dists/ zien dat ze Focal—aka Ubuntu 20.04, de basis van Linux Mint 20—ook ondersteunen dus gebruik dit voor Linux Mint 20:

Code: Selecteer alles

deb http://files.eid.belgium.be/debian focal main
deb http://files2.eid.belgium.be/debian focal main
En dit voor LMDE 4:

Code: Selecteer alles

deb http://files.eid.belgium.be/debian buster main
deb http://files2.eid.belgium.be/debian buster main
Buster gebruiken op Linux Mint 20 werkt misschen maar Focal is wat je moet gebruiken. Daarmee voorkom je problemen in de toekomst.
Bron: https://forums.linuxmint.com/viewtopic. ... 6#p1840816
Nederlandstalige Info over Linux Mint: Linux Mint NL Wiki
Wil je een afbeelding plaatsen? Kijk dan hier: Afbeeldingen plaatsen
Gebruikersavatar
tytsjerksteradiel
Senior
Senior
Berichten: 184
Lid geworden op: Ma 16 Dec 2019, 01:16

OPGELOST : eID Software & eID viewer installeren in LM 20 Ulyana en in LMDE 4

Berichtdoor tytsjerksteradiel » Di 07 Jul 2020, 15:31

OPGELOST :
sneller dan verwacht ( goed teken aan de wand ) , de aangepaste deb pakketten voor Linux Mint 20.0 "Ulyana" zijn vanaf vandaag beschikbaar op de site :

https://eid.belgium.be/nl/linux-eid-sof ... nstallatie

Downloads voor ondersteunde distributies:
Debian 9 "Stretch"
Debian 10 "Buster"
Ubuntu 18.04 LTS "Bionic Beaver"
Ubuntu 20.04 LTS "Focal Fossa"
Linux Mint 19.3 "Tricia"
Linux Mint 20.0 "Ulyana"

voor het LMDE4 komt dit er voorlopig ( helaas ) niet , maar oplosbaar zoals eerder aangegeven
Gebruikersavatar
tytsjerksteradiel
Senior
Senior
Berichten: 184
Lid geworden op: Ma 16 Dec 2019, 01:16

EPILOOG : eID Software

Berichtdoor tytsjerksteradiel » Wo 08 Jul 2020, 15:34

verwijzend naar :
viewtopic.php?f=7&t=6492
waar ging dit topic over ?
1/ een tijdelijk werkbare oplossing voor het installeren van eID software en in gebruik nemen van eID viewer onder het nieuwe LINUX MINT 20 ULYANA in afwachting dat De FOD Beleid en Ondersteuning - DG Digitale Transformatie pakketten ter beschikking stelde op zijn officiële site
2/ hoe dit onder LMDE4 aan te pakken

wat belangrijk is , is dat je een pakket installeert dat ondersteund wordt door De FOD Beleid en Ondersteuning - DG Digitale Transformatie

by the way , U zal merken dat in de nieuwe lijst LINUX MINT 18 niet meer vermeld wordt ! … verwijs naar : “ Daarnaast zal FOD Beleid en Ondersteuning - DG Digitale Transformatie nooit een distributie ondersteunen die EOL (end-of-life) is verklaard door de distributie zelf.”
op te volgen voor wie in aanmerking komt !

Xenial wordt niet meer ondersteund , Buster en Focal zijn dit wel

de wijziging naar Buster is ( was ) dus wel degelijk , niet alleen maar een bruikbare , maar tevens een veilig en betrouwbare oplossing … tot zolang Buster ondersteunt wordt en mits inachtneming van de gebruikelijke updates ( nu actualisering onder het nieuwe LM 20 )

wat volgt schept hier duidelijkheid over :

welke Linuxdistributies worden er ondersteund ? :
https://eid.belgium.be/nl/faq/welke-lin ... teund#7403

De FOD Beleid en Ondersteuning - DG Digitale Transformatie ondersteunt deze Linuxdistributies:
• Ubuntu (de meest recente versie, net als de twee meest recente LTS-versies)
• Linux Mint (de versies die gebaseerd zijn op de ondersteunde versies van Ubuntu LTS)
• Debian (de twee meest recente versies)
• ... enzovoort
Wanneer u gebruikmaakt van een niet-ondersteunde versie van een van deze distributies, raden wij u aan om zo snel mogelijk over te schakelen op de bijgewerkte versie.
Daarnaast zal FOD Beleid en Ondersteuning - DG Digitale Transformatie nooit een distributie ondersteunen die EOL (end-of-life) is verklaard door de distributie zelf.


actuele ondersteunde distributies … dd 8/7/2020 :
https://eid.belgium.be/nl/linux-eid-sof ... nstallatie :
◦ Debian 9 "Stretch"
◦ Debian 10 "Buster"
◦ Ubuntu 18.04 LTS "Bionic Beaver"
◦ Ubuntu 20.04 LTS "Focal Fossa"
◦ Linux Mint 19.3 "Tricia"
◦ Linux Mint 20.0 "Ulyana"
◦ enzovoort ...

Terug naar “Software en applicaties”

Wie is er online

Gebruikers op dit forum: Geen geregistreerde gebruikers en 3 gasten